Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.selftest
Class AllSelfTestCases

    java.lang.Object
      org.archive.crawler.selftest.AllSelfTestCases

    public class AllSelfTestCases

extends java.lang.Object

All registered heritrix selftests.

Version:
  $Id: AllSelfTestCases.java 4931 2007-02-21 18:48:17Z gojomo $
Author:
  stack

Constructor Summary
`AllSelfTestCases()`

Method Summary
`static junit.framework.Test` | `suite(java.lang.String selftestURL, CrawlJob job, java.io.File jobDir, java.io.File htdocs)` Run all known tests in the selftest suite.
`static junit.framework.Test` | `suite(java.lang.String selftestURL, CrawlJob job, java.io.File jobDir, java.io.File htdocs, java.util.List selftests)` Run list of passed tests.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AllSelfTestCases

    public AllSelfTestCases()

Method Detail

### suite

    public static junit.framework.Test suite(java.lang.String selftestURL,
                                             CrawlJob job,
                                             java.io.File jobDir,
                                             java.io.File htdocs)

  Run all known tests in the selftest suite. Each unit test to run as part of selftest needs to be added here.

  Parameters:
    `selftestURL` - Base url to selftest webapp.
    `job` - The completed selftest job.
    `jobDir` - Job output directory. Has the seed file, the order file and logs.
    `htdocs` - Expanded webapp directory location.
  Returns:
    Suite of all selftests.

### suite

    public static junit.framework.Test suite(java.lang.String selftestURL,
                                             CrawlJob job,
                                             java.io.File jobDir,
                                             java.io.File htdocs,
                                             java.util.List selftests)

  Run list of passed tests. This method is exposed so can run something less than all of the selftests.

  Parameters:
    `selftestURL` - Base url to selftest webapp.
    `job` - The completed selftest job.
    `jobDir` - Job output directory. Has the seed file, the order file and logs.
    `htdocs` - Expanded webapp directory location.
    `selftests` - List of selftests to run.
  Returns:
    Suite of all selftests.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.